For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETGet list of payslips for an EOR employee
      • PATCHModify bank account for an EOR employee
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsDeel as Aservice

Get list of payslips for an EOR employee

GET
/daas/payslips
GET
/rest/v2/daas/payslips
$curl https://api.letsdeel.com/rest/v2/daas/payslips \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "9K1rw5vwkZX2",
5 "to": "2023-08-01T00:00:00.000Z",
6 "url": "http://example.com/file.pdf",
7 "from": "2023-08-01T00:00:00.000Z",
8 "status": "PENDING",
9 "created_at": "2023-08-01T00:00:00.000Z",
10 "updated_at": "2023-08-01T00:00:00.000Z",
11 "rejected_at": "2023-08-01T00:00:00.000Z",
12 "uploaded_at": "2023-08-01T00:00:00.000Z",
13 "published_at": "2023-08-01T00:00:00.000Z",
14 "reject_reason": "Something went wrong",
15 "schedule_publishing_date": "2023-08-01T00:00:00.000Z"
16 }
17 ]
18}

Returns all payslips for an EOR employee. Token scopes: worker:read

Was this page helpful?
Previous

Modify bank account for an EOR employee

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

Payslip records successfully retrieved.
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error